package org.gcube.portlets.user.geoportaldataentry.client;

import org.gcube.portlets.widgets.mpformbuilder.client.ConstantsMPFormBuilder;

/**
 * The Class ConstantsGeoPortalDataEntryApp.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
 * 
 *         Aug 6, 2021
 */
public class ConstantsGeoPortalDataEntryApp {

	public static final String DATE_FORMAT = ConstantsMPFormBuilder.DATE_FORMAT;

	public static final String TIME_FORMAT = ConstantsMPFormBuilder.TIME_FORMAT;

	public static final String HOURS_MINUTES_SEPARATOR = ConstantsMPFormBuilder.HOURS_MINUTES_SEPARATOR;

	public static final String ERROR_ON_INIZIALITAION_STAGE_PLEASE_CONTACT_THE_SUPPORT = "Error on inizialization stage, please contact the support!";

	/**
	 * The Enum RECORD_TYPE.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Aug 6, 2021
	 */
	public enum RECORD_TYPE {
		CONCESSIONE
	}

	/**
	 * The Enum ACTION_ON_ITEM.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Aug 6, 2021
	 */
	public enum ACTION_ON_ITEM {
		SHOW_ON_MAP, SHOW_METADATA, REMOVE
	}

	/**
	 * The Enum RECORD_FIELD.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Aug 6, 2021
	 */
	public static enum RECORD_FIELD {
		NAME, INTRODUCTION, AUTHOR, PROJECT_START, CREATED, CREATED_BY
	}

	/**
	 * The Enum RECORD_FIELD.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Aug 6, 2021
	 */
	public static enum RECORD_DISPLAY_FIELD {
		NAME, INTRODUCTION, AUTHOR, PROJECT_START_END_DATE, CREATED, CREATED_BY
	}

	/**
	 * The Enum ORDER.
	 *
	 * @author Francesco Mangiacrapa at ISTI-CNR francesco.mangiacrapa@isti.cnr.it
	 * 
	 *         Aug 6, 2021
	 */
	public static enum ORDER {
		ASC, DESC
	}

}
